## Interface Swift_Encoder

(line 19)

## Description

    Swift_Mime_CharsetObserver
       |
       --Swift_Encoder

Located in File: /vendors/swiftMailer/classes/Swift/Encoder.php

##### Interface for all Encoder schemes.

- author: - Chris Corbyn

Classes extended from Swift_Encoder:

Swift_Mime_ContentEncoder
  Interface for all Transfer Encoding schemes.

Swift_Mime_HeaderEncoder
  Interface for all Header Encoding schemes.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
string encodeString (string $string, [int $firstLineOffset = 0], [int $maxLineLength = 0])

#### Method encodeString (line 29)

#### string encodeString( string $string, [int $firstLineOffset = 0], [int $maxLineLength = 0])

##### Encode a given string to produce an encoded string.

#### Parameters

- string $string:
- int $firstLineOffset: if first line needs to be shorter
- int $maxLineLength: - 0 indicates the default length for this encoding

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_CharsetObserver

#### Swift_Mime_CharsetObserver::charsetChanged() - Notify this observer that the entity's charset has changed.

Documentation generated on Fri, 12 Nov 2010 20:45:20 +0000 by phpDocumentor 1.4.3